var config = {
    obstacleType: {
        circle0: 0,
        translation: 1,
        circle2: 2,
        circle3: 3,
        circle1: 4,
        square: 5,

    },

    obstacleProperty: [{
            rotAngle: 360,
            rotTime: 6,
            addY: -100
        },

        {
            moveDistance: 100,
            moveTime: 0.5,
            addY: 0, //300
        },

        {
            rotAngle: 360,
            rotTime: 6,
            addY: 0 //400
        },

        {
            rotAngle: 360,
            rotTime: 6,
            addY: 550 //640
        },

        {
            rotAngle: 360,
            rotTime: 6,
            addY: -100
        },

        {
            rotAngle: 360,
            rotTime: 6,
            addY: 250,
        },
    ],

    obstacleProperty2: [{
            rotAngle: 360,
            rotTime: 4,
            addY: -100
        },

        {
            moveDistance: 100,
            moveTime: 0.25,
            addY: 0, //300
        },

        {
            rotAngle: 360,
            rotTime: 4,
            addY: 0 //400
        },

        {
            rotAngle: 360,
            rotTime: 4,
            addY: 550 //640
        },

        {
            rotAngle: 360,
            rotTime: 4,
            addY: -100
        },

        {
            rotAngle: 360,
            rotTime: 4,
            addY: 250,
        },
    ],

    ColorTypePath: [
        "textures/bg_purple",
        "textures/bg_blue",
        "textures/bg_red",
        "textures/bg_greeb"
    ],

    buDingTypePath: [
        [
            "textures/btn_purplepudding",
            "textures/btn_bluepudding",
            "textures/btn_redpd",
            "textures/btn_greenpd"
        ],
        [
            "textures/btn_greenpd2",
            "textures/btn_greenpd2",
            "textures/btn_greenpd2",
            "textures/btn_greenpd2"
        ],
        [
            "textures/btn_greenpd3",
            "textures/btn_greenpd3",
            "textures/btn_greenpd3",
            "textures/btn_greenpd3"
        ],
        [
            "textures/btn_redpd4",
            "textures/btn_redpd4",
            "textures/btn_redpd4",
            "textures/btn_redpd4"
        ]
    ],

    obstacleTypePath: [
        "prefabs/CircleMode0",
        "prefabs/TranslationType",
        "prefabs/CircleMode2",
        "prefabs/CircleMode3",
        "prefabs/CircleMode1",
        "prefabs/SquareMode",
    ],

    animName: [
        [
            "c1",
            "c2",
            "c3",
            "zz1"
        ],
        [
            "d1",
            "d2",
            "d3",
            "zz1"
        ],
        [
            "a1",
            "a2",
            "a3",
            "zz1"
        ],
        [
            "b1",
            "b2",
            "b3",
            "zz1"
        ],

    ],

    skinTypePath: [
        "textures/btn_purplepudding",
        "textures/btn_bluepudding",
        "textures/btn_redpd",
        "textures/btn_greenpd"
    ],

    skinCondition: [{},
        {
            score: 5,
            scoreType: 0
        },
        {
            score: 20,
            scoreType: 0
        },
        {
            score: 50,
            scoreType: 1
        },
    ]





}

module.exports = config;